-- This script migrates XD 6.0.2 Long Running Execute Environment tables to XD 6.1 on a db2 instance.
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LREE and default schema name is LREESCHEMA.
-- The following commands can be issue from DB2 command line processor
-- to run this script:
--             db2 -tf MigrateLREETablesDB2.ddl

CONNECT TO LREE;


------------------------------------------------

-- DDL Statements for table "LREESCHEMA"."POJOSTEP"

------------------------------------------------

CREATE TABLE "LREESCHEMA"."POJOSTEP"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STEPID" VARCHAR(250) NOT NULL )   
		 IN "USERSPACE1" ; 

ALTER TABLE "LREESCHEMA"."POJOSTEP" 
	ADD CONSTRAINT "PK_POJOSTEP" PRIMARY KEY
		("JOBID", "STEPID");		

-----------------------------------------------------------------------


COMMIT WORK;


CONNECT RESET;


TERMINATE;
