-- This script migrates a Derby database for XD 6.0.2 Long Running Execute Environment to XD 6.1. 
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LREE and default schema name is LREESCHEMA.
-- The script will alter the long running scheduler Derby database in the directory 
-- from which it is invoked.
-- Process This script in the ij command line processor.  
-- Example:  
-- java -Djava.ext.dirs=C:/WebSPhere/AppServer/derby/lib -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij MigrateLREETablesDerby.ddl

CONNECT 'jdbc:derby:LREE;create=false';


-----------------------------------------------------------------------
-- DDL Statements for table "LREESCHEMA"."POJOSTEP"
-----------------------------------------------------------------------

CREATE TABLE "LREESCHEMA"."POJOSTEP"
  (JOBID VARCHAR(250) NOT NULL,
   STEPID VARCHAR(250) NOT NULL);

ALTER TABLE "LREESCHEMA"."POJOSTEP"
  ADD CONSTRAINT "PK_POJOSTEP" PRIMARY KEY ("JOBID", "STEPID");
		

-----------------------------------------------------------------------


COMMIT WORK;


DISCONNECT;
