-- This script migrates XD 6.0.2 Long Running Execute Environment tables to XD 6.1 on an Informix instance.
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LREE and default schema name is LREESCHEMA.
-- The following command can be issued from Informix command line processor.
-- To run this script type at cmd-line in <informix_install>/bin
-- dbaccess - MigrateLREETablesInformix.sql

CONNECT TO "LREE";

-----------------------------------------------------
--DDL statements for table: "LREESCHEMA.POJOSTEP"
-----------------------------------------------------
CREATE TABLE LREESCHEMA.POJOSTEP  (
		  JOBID VARCHAR(50) NOT NULL , 
		  STEPID VARCHAR(250) NOT NULL
                  )
                  IN rootdbs; 

----------------------------------------------------------------------
--DDL statements for primary key on table: "LREESCHEMA.POJOSTEP"
----------------------------------------------------------------------
ALTER TABLE LREESCHEMA.POJOSTEP 
     ADD CONSTRAINT PRIMARY KEY(JOBID,STEPID) CONSTRAINT PK_POJOSTEP;

