-- This script migrates XD 6.0.2 Long Running Execute Environment tables to XD 6.1 on an oracle db.
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LRSCHED and default schema name is LRSSCHEMA.
--
-- 1.Process this script using SQL*Plus
-- 2. Replace all occurrances of @LREE_TABLESPACE@ with a valid tablespace that was 
--    created by the CreateLREETablespaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@LREE @MigrateLREETablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @MigrateLREETablesOracle.ddl


------------------------------------------------
-- DDL Statements for table "POJOSTEP"
------------------------------------------------
CREATE TABLE "POJOSTEP"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STEPID" VARCHAR(250) NOT NULL)   
		 TABLESPACE @LREE_TABLESPACE@ ; 


-- DDL Statements for primary key on Table "POJOSTEP"
ALTER TABLE "POJOSTEP" 
	ADD CONSTRAINT "PK_POJOSTEP" PRIMARY KEY
		("JOBID",
		 "STEPID");



		
